#include <stdio.h>
#include <string.h>

int check_flag(const char *s)
{
    if (strlen(s) != 32)
        return 0;
    const char *flag = "vsosh{e1_fanera_1s_f4n_to_patch}";
    for (int i = 0; i < 32; i++) {
        if (s[i] != flag[i])
            return 0;
    }
    return 1;
}

int main()
{
    char buf[100];
    printf("Enter the password: ");
    scanf("%99s", buf);
    if (check_flag(buf))
        printf("Correct!\n");
    else
        printf("Wrong flag.\n");
    return 0;
}
